Skip to main content
`Ctrl`+`K`

# DMCopyLabels

Copy labels from one `DM` mesh to another `DM` with a superset of the points

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCopyLabels(DM dmA, DM dmB, PetscCopyMode mode, PetscBool all, DMCopyLabelsMode emode)

Collective

## Input Parameters

- dmA - The `DM` object with initial labels

- dmB - The `DM` object to which labels are copied

- mode - Copy labels by pointers (`PETSC_OWN_POINTER`) or duplicate them (`PETSC_COPY_VALUES`)

- all - Copy all labels including “depth”, “dim”, and “celltype” (`PETSC_TRUE`) which are otherwise ignored (`PETSC_FALSE`)

- emode - How to behave when a `DMLabel` in the source and destination `DM`s with the same name is encountered (see `DMCopyLabelsMode`)

## Note

This is typically used when interpolating or otherwise adding to a mesh, or testing.

## See Also

DM Basics, `DM`, `DMLabel`, `DMAddLabel()`, `DMCopyLabelsMode`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Examples

src/dm/label/tutorials/ex1.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages